scriptName EnthralledVictimAttachScript extends ActiveMagicEffect
{Scripted effect to refresh enthralled victims}

import debug
import FormList

GlobalVariable Property VampireEnthrallClothes Auto
Faction Property CurrentFollowerFaction Auto
Faction Property DLC1ThrallFaction Auto
Faction Property PotentialFollowerFaction Auto
Faction Property DLC1VampireFeedNoCrimeFaction auto
Armor Property ClothesPrisonerTunic Auto
Armor Property ClothesPrisonerShoes Auto
Actor akEnthrallTarget
						
;======================================================================================;
;   EVENTS     /
;=============/


Event OnEffectStart(Actor victim, Actor Caster)

	akEnthrallTarget = victim

	akEnthrallTarget.RemoveFromAllFactions()
	
	If VampireEnthrallClothes.GetValue() == 0				
		akEnthrallTarget.UnEquipAll()
		akEnthrallTarget.RemoveAllItems()
		akEnthrallTarget.EquipItem(ClothesPrisonerTunic, true)
		akEnthrallTarget.EquipItem(ClothesPrisonerShoes, true)
	EndIf	

	akEnthrallTarget.SetActorValue("Assistance", 0)
	akEnthrallTarget.SetActorValue("Aggression", 0)
	akEnthrallTarget.SetActorValue("Confidence", 0)
	akEnthrallTarget.SetActorValue("Morality", 0)			
	
	If akEnthrallTarget.IsInFaction(CurrentFollowerFaction) == True && akEnthrallTarget.GetFactionRank(CurrentFollowerFaction) >= 0
		akEnthrallTarget.AddtoFaction(DLC1ThrallFaction)
		akEnthrallTarget.AddToFaction(DLC1VampireFeedNoCrimeFaction)			
	Else
		akEnthrallTarget.AddtoFaction(DLC1ThrallFaction)
		akEnthrallTarget.AddToFaction(DLC1VampireFeedNoCrimeFaction)			
		akEnthrallTarget.AddtoFaction(PotentialFollowerFaction)
		akEnthrallTarget.SetFactionRank(PotentialFollowerFaction, 0)
		akEnthrallTarget.AddtoFaction(CurrentFollowerFaction)
		akEnthrallTarget.SetFactionRank(CurrentFollowerFaction, -1)	
	EndIf
	
	akEnthrallTarget.SetRelationshipRank(Game.GetPlayer(), 4)
	Game.GetPlayer().SetRelationshipRank(akEnthrallTarget, 4)			

	RegisterForUpdateGameTime(1)
	
EndEvent


;==============================================================================================


Event OnUpdateGameTime()

	akEnthrallTarget.RemoveFromAllFactions()
	
	If VampireEnthrallClothes.GetValue() == 0 && akEnthrallTarget.GetAV("DamageResist") > 0
		akEnthrallTarget.UnEquipAll()
		akEnthrallTarget.RemoveAllItems()
		akEnthrallTarget.EquipItem(ClothesPrisonerTunic, true)
		akEnthrallTarget.EquipItem(ClothesPrisonerShoes, true)
	EndIf	

	akEnthrallTarget.SetActorValue("Assistance", 0)
	akEnthrallTarget.SetActorValue("Aggression", 0)
	akEnthrallTarget.SetActorValue("Confidence", 0)
	akEnthrallTarget.SetActorValue("Morality", 0)			
	
	If akEnthrallTarget.IsInFaction(CurrentFollowerFaction) == True && akEnthrallTarget.GetFactionRank(CurrentFollowerFaction) >= 0
		akEnthrallTarget.AddtoFaction(DLC1ThrallFaction)
		akEnthrallTarget.AddToFaction(DLC1VampireFeedNoCrimeFaction)			
	Else
		akEnthrallTarget.AddtoFaction(DLC1ThrallFaction)
		akEnthrallTarget.AddToFaction(DLC1VampireFeedNoCrimeFaction)			
		akEnthrallTarget.AddtoFaction(PotentialFollowerFaction)
		akEnthrallTarget.SetFactionRank(PotentialFollowerFaction, 0)
		akEnthrallTarget.AddtoFaction(CurrentFollowerFaction)
		akEnthrallTarget.SetFactionRank(CurrentFollowerFaction, -1)	
	EndIf
	
	akEnthrallTarget.SetRelationshipRank(Game.GetPlayer(), 4)
	Game.GetPlayer().SetRelationshipRank(akEnthrallTarget, 4)		

EndEvent

;==============================================================================================

Event OnLoad()
	
	Utility.Wait(0.5)

	akEnthrallTarget.RemoveFromAllFactions()
	
	If VampireEnthrallClothes.GetValue() == 0
		akEnthrallTarget.UnEquipAll()
		akEnthrallTarget.RemoveAllItems()
		akEnthrallTarget.EquipItem(ClothesPrisonerTunic, true)
		akEnthrallTarget.EquipItem(ClothesPrisonerShoes, true)
	EndIf	

	akEnthrallTarget.SetActorValue("Assistance", 0)
	akEnthrallTarget.SetActorValue("Aggression", 0)
	akEnthrallTarget.SetActorValue("Confidence", 0)
	akEnthrallTarget.SetActorValue("Morality", 0)			
	
	If akEnthrallTarget.IsInFaction(CurrentFollowerFaction) == True && akEnthrallTarget.GetFactionRank(CurrentFollowerFaction) >= 0
		akEnthrallTarget.AddtoFaction(DLC1ThrallFaction)
		akEnthrallTarget.AddToFaction(DLC1VampireFeedNoCrimeFaction)		
	Else
		akEnthrallTarget.AddtoFaction(DLC1ThrallFaction)
		akEnthrallTarget.AddToFaction(DLC1VampireFeedNoCrimeFaction)		
		akEnthrallTarget.AddtoFaction(PotentialFollowerFaction)
		akEnthrallTarget.SetFactionRank(PotentialFollowerFaction, 0)
		akEnthrallTarget.AddtoFaction(CurrentFollowerFaction)
		akEnthrallTarget.SetFactionRank(CurrentFollowerFaction, -1)	
	EndIf
	
	akEnthrallTarget.SetRelationshipRank(Game.GetPlayer(), 4)
	Game.GetPlayer().SetRelationshipRank(akEnthrallTarget, 4)			

	UnRegisterForUpdateGameTime()
	Utility.Wait(1.0)
	RegisterForUpdateGameTime(1)
	
EndEvent

;==============================================================================================

Event OnDying(Actor Killer)

	utility.wait(0.5)
	UnRegisterForUpdateGameTime()		 
			 
EndEvent

;==============================================================================================

Event OnEffectFinish(Actor victim, Actor Caster)
	
	Utility.Wait(0.5)
	akEnthrallTarget.RemoveFromFaction(DLC1ThrallFaction)
	akEnthrallTarget.AddToFaction(DLC1VampireFeedNoCrimeFaction)	
	UnRegisterForUpdateGameTime()
	
EndEvent
